Bug 167405 - x11-wm/enlightenment (etc.): EFL updated to 1.1.0 and E17 updated to svn 65643
x11-wm/enlightenment (etc.): EFL updated to 1.1.0 and E17 updated to svn 65643
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Brazhnikov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 22:40 UTC by magik
Modified: 2012-07-06 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description magik 2012-04-28 22:40:11 UTC
Set of patches are available on http://files.roorback.net/e17/diffs/

- Mk/bsd.efl.mk updated
- 84 ports updated
- 18 ports added
- 7 ports deprecated (expiration_date= 2012-06-30)
- 1 port renamed

Entry to MOVED:
x11-wm/e17-module-itask-ng|x11-wm/e17-module-engage|2012-04-28|Project was renamed
Comment 1 scheidell freebsd_committer 2012-05-11 18:00:04 UTC
looks like a lot of patches, yes, too many to upload to GNATS, so I 
agree that you can't attach them here.

Grzegorz:

I spot checked one of them, since multiple patches for multiple ports 
makes it a really difficult job for the committer.
This one I spotchecked is going to be indicative of the rest of these 
patches, it will make this really difficult since the committer is going 
to need to edit all of these patches by hand and try to sort them out:

Any time you see something like this in a patch:  it indicates that the 
submitter did not apply the patch against current portstree. (and we 
will need to take this line out or the cvs update will fail)

-# $FreeBSD: ports/x11-wm/enlightenment/Makefile,v 1.124 2012/04/10 
18:04:10 rm Exp $
+# $FreeBSD: ports/x11-wm/enlightenment/Makefile,v 1.122 2011/10/24 
03:33:20 stas Exp $
  #

Something else that would help is if you used anon cvs so that you could 
do a cvs diff (which would include "Index:", so that the committer could 
patch a combined diff with:

patch -EuN -I -i /tmp/combined.diff.

(Q:  I see in Mk_bsd.elg.mk.diff a change in maintainer from ports@ to 
stas@ ?
Q2: just so that the committer doesn't need to look through 84 ports 
files, you are the maintainer of all of these ports? or are taking 
maintainership from ports@?




-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 2 Max Brazhnikov freebsd_committer 2012-05-13 16:23:28 UTC
State Changed
From-To: open->feedback

Feedback requested
Comment 3 Max Brazhnikov freebsd_committer 2012-05-13 16:29:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 4 magik 2012-05-20 16:18:42 UTC
From diffs I removed all entries like this one:

-# $FreeBSD: ports/x11-wm/enlightenment/Makefile,v 1.124 2012/04/10
18:04:10 rm Exp $
+# $FreeBSD: ports/x11-wm/enlightenment/Makefile,v 1.122 2011/10/24
03:33:20 stas Exp $
#

and in Mk/bsd.efl.mk I changed maintainer to magik@roorback.net

Also I merged all diffs to one:
http://files.roorback.net/e17/diffs/all.diff

but this file don't have merged shar archives with new ports,
but since there are only 18 new ports, this shouldn't be a huge problem
Comment 5 magik 2012-05-24 21:17:59 UTC
Now http://files.roorback.net/e17/diffs/all.diff
also have included all *.shar archives.
Comment 6 linimon 2012-06-09 08:24:41 UTC
----- Forwarded message from Max Brazhnikov <makc@freebsd.org> -----

Date: Thu, 7 Jun 2012 17:11:13 +0000
From: Max Brazhnikov <makc@freebsd.org>
To: Grzegorz Blach <magik@roorback.net>
Subject: Re: ports/167405: EFL updated to 1.1.0 and E17 updated to svn 65643

On Thu, 24 May 2012 20:20:04 GMTThu, 24 May 2012 22:17:59 +0200, Grzegorz Blach wrote:
>  Now http://files.roorback.net/e17/diffs/all.diff
>  also have included all *.shar archives.

Thanks! Sorry for delay, I've been busy for awhile.

The patch looks fine. However I'd like to replace http://files.roorback.net/e17/2011-12-02/base/ in MASTER_SITES with ${MASTER_SITES_E17} and define MASTER_SITES_E17 in Mk/bsd.efl.mk.
This way you don't need to change each Makefile next upgrade.

Second, in a new port benchmarks/expedite you pass --enable-* to configure args, but there are no corresponding --disable-*. Shouldn't they be added?

I've tested ports on my tinderbox, several ports failed with similar errors. I've uploaded build logs to http://people.freebsd.org/~makc/tb/e17/

Cheers,
Max

----- End forwarded message -----
Comment 7 linimon 2012-06-12 16:46:51 UTC
----- Forwarded message from Grzegorz Blach <magik@roorback.net> -----

Date: Tue, 12 Jun 2012 13:31:18 +0200
From: Grzegorz Blach <magik@roorback.net>
To: Max Brazhnikov <makc@freebsd.org>
Subject: Re: ports/167405: EFL updated to 1.1.0 and E17 updated to svn 65643

I've updated again http://files.roorback.net/e17/diffs/all.diff

1. In benchmarks/expedite I added --disable-* to CONFIGURE_ARGS, for
sure, but this shouldn't change anything

2. Added BROKEN messages to 4 ports which fails, all of them has set
EXPIRATION_DATE

3. Changed EXPIRATION_DATE to 2012-07-31

4. Updated LIB_DEPENDS on graphics/png after last libpng update


Macro ${MASTER_SITES_E17} isn't needed, because In EFL 1.2.1 I've
planned to use http://files.roorback.net/e17/base/ without date in url
Also In EFL 1.2.1 I've planned to convert ports to optionsNG framework.

----- End forwarded message -----
Comment 8 dfilter freebsd_committer 2012-06-26 18:36:42 UTC
makc        2012-06-26 17:36:30 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.efl.mk 
    benchmarks           Makefile 
    databases/edb        Makefile 
    devel                Makefile 
    devel/e_dbus         Makefile distinfo pkg-plist 
    devel/ecore          Makefile pkg-descr 
    devel/ecore-file     Makefile distinfo pkg-descr pkg-plist 
    devel/ecore-ipc      Makefile distinfo pkg-descr pkg-plist 
    devel/ecore-main     Makefile distinfo pkg-descr pkg-plist 
    devel/eet            Makefile distinfo pkg-plist 
    devel/eina           Makefile distinfo pkg-plist 
    graphics             Makefile 
    graphics/ecore-evas  Makefile distinfo pkg-descr pkg-plist 
    graphics/ecore-sdl   Makefile distinfo pkg-descr pkg-plist 
    graphics/edje        Makefile distinfo pkg-plist 
    graphics/edje_viewer Makefile distinfo 
    graphics/ethumb      Makefile distinfo pkg-descr 
    graphics/evas        Makefile pkg-descr 
    graphics/evas-core   Makefile Makefile.inc distinfo pkg-descr 
                         pkg-plist 
    graphics/evas-core/files patch-configure 
    graphics/evas-engine-buffer Makefile distinfo pkg-descr 
    graphics/evas-engine-opengl Makefile distinfo pkg-descr 
    graphics/evas-engine-sdl Makefile distinfo pkg-descr 
    graphics/evas-engine-x11 Makefile distinfo pkg-descr 
    graphics/evas-engine-xrender Makefile 
    graphics/evas-loader-bmp Makefile distinfo pkg-descr 
    graphics/evas-loader-edb Makefile 
    graphics/evas-loader-eet Makefile distinfo pkg-descr 
    graphics/evas-loader-gif Makefile distinfo pkg-descr 
    graphics/evas-loader-jpeg Makefile distinfo pkg-descr 
    graphics/evas-loader-pmaps Makefile distinfo pkg-descr 
    graphics/evas-loader-png Makefile distinfo pkg-descr 
    graphics/evas-loader-svg Makefile distinfo pkg-descr 
    graphics/evas-loader-tga Makefile distinfo pkg-descr 
    graphics/evas-loader-tiff Makefile distinfo pkg-descr 
    graphics/evas-loader-xpm Makefile distinfo pkg-descr 
    lang/embryo          Makefile distinfo pkg-plist 
    multimedia/emotion   Makefile distinfo pkg-descr pkg-plist 
    net/ecore-con        Makefile distinfo pkg-descr pkg-plist 
    sysutils/empower     Makefile distinfo pkg-plist 
    x11/ecore-imf        Makefile distinfo pkg-descr pkg-plist 
    x11/ecore-imf_evas   Makefile distinfo pkg-descr pkg-plist 
    x11/ecore-input      Makefile distinfo pkg-descr pkg-plist 
    x11/ecore-input_evas Makefile distinfo pkg-descr pkg-plist 
    x11/ecore-x11        Makefile distinfo pkg-descr pkg-plist 
    x11/efreet           Makefile distinfo pkg-plist 
    x11/emprint          Makefile distinfo 
    x11-toolkits/elementary Makefile distinfo pkg-plist 
    x11-toolkits/elementary/files patch-configure 
    x11-wm               Makefile 
    x11-wm/e17-module-alarm Makefile distinfo pkg-plist 
    x11-wm/e17-module-calendar Makefile distinfo pkg-plist 
    x11-wm/e17-module-cpu Makefile distinfo pkg-plist 
    x11-wm/e17-module-deskshow Makefile distinfo 
    x11-wm/e17-module-diskio Makefile distinfo 
    x11-wm/e17-module-drawer Makefile distinfo pkg-plist 
    x11-wm/e17-module-efm_nav Makefile 
    x11-wm/e17-module-efm_path Makefile 
    x11-wm/e17-module-efm_pathbar Makefile 
    x11-wm/e17-module-empris Makefile distinfo 
    x11-wm/e17-module-eooorg Makefile distinfo pkg-plist 
    x11-wm/e17-module-everything-mpris Makefile distinfo pkg-plist 
    x11-wm/e17-module-everything-pidgin Makefile distinfo 
                                        pkg-plist 
    x11-wm/e17-module-everything-places Makefile distinfo 
                                        pkg-plist 
    x11-wm/e17-module-everything-wallpaper Makefile distinfo 
                                           pkg-plist 
    x11-wm/e17-module-everything-websearch Makefile distinfo 
                                           pkg-plist 
    x11-wm/e17-module-exebuf Makefile distinfo 
    x11-wm/e17-module-execwatch Makefile distinfo 
    x11-wm/e17-module-flame Makefile distinfo pkg-plist 
    x11-wm/e17-module-forecasts Makefile distinfo pkg-plist 
    x11-wm/e17-module-iiirk Makefile distinfo pkg-descr pkg-plist 
    x11-wm/e17-module-itask Makefile distinfo 
    x11-wm/e17-module-itask-ng Makefile distinfo pkg-plist 
    x11-wm/e17-module-language Makefile distinfo pkg-plist 
    x11-wm/e17-module-mail Makefile distinfo pkg-plist 
    x11-wm/e17-module-mem Makefile distinfo pkg-plist 
    x11-wm/e17-module-moon Makefile distinfo pkg-plist 
    x11-wm/e17-module-mpdule Makefile distinfo 
    x11-wm/e17-module-net Makefile distinfo pkg-plist 
    x11-wm/e17-module-news Makefile distinfo pkg-plist 
    x11-wm/e17-module-notification Makefile 
    x11-wm/e17-module-penguins Makefile distinfo pkg-plist 
    x11-wm/e17-module-photo Makefile distinfo pkg-plist 
    x11-wm/e17-module-places Makefile distinfo pkg-plist 
    x11-wm/e17-module-quickaccess Makefile distinfo 
    x11-wm/e17-module-rain Makefile distinfo pkg-plist 
    x11-wm/e17-module-screenshot Makefile distinfo pkg-plist 
    x11-wm/e17-module-slideshow Makefile distinfo pkg-plist 
    x11-wm/e17-module-snow Makefile distinfo pkg-plist 
    x11-wm/e17-module-taskbar Makefile distinfo pkg-plist 
    x11-wm/e17-module-tclock Makefile distinfo pkg-plist 
    x11-wm/e17-module-tiling Makefile distinfo pkg-plist 
    x11-wm/e17-module-uptime Makefile distinfo pkg-plist 
    x11-wm/e17-module-weather Makefile distinfo pkg-plist 
    x11-wm/e17-module-winlist-ng Makefile distinfo 
    x11-wm/e17-module-winselector Makefile distinfo 
    x11-wm/e17-module-wlan Makefile distinfo pkg-plist 
    x11-wm/e17-modules   Makefile 
    x11-wm/enlightenment Makefile distinfo pkg-plist 
  Added files:
    benchmarks/expedite  Makefile distinfo pkg-descr pkg-plist 
    devel/eio            Makefile distinfo pkg-descr pkg-plist 
    devel/eio/files      patch-configure 
    graphics/evas-loader-generic Makefile distinfo pkg-descr 
                                 pkg-plist 
    graphics/evas-loader-ico Makefile distinfo pkg-descr pkg-plist 
    graphics/evas-loader-psd Makefile distinfo pkg-descr pkg-plist 
    graphics/evas-loader-wbmp Makefile distinfo pkg-descr 
                              pkg-plist 
    graphics/evas_generic_loaders-gst Makefile distinfo pkg-descr 
                                      pkg-plist 
    graphics/evas_generic_loaders-pdf Makefile distinfo pkg-descr 
                                      pkg-plist 
    graphics/evas_generic_loaders-ps Makefile distinfo pkg-descr 
                                     pkg-plist 
    graphics/evas_generic_loaders-raw Makefile distinfo pkg-descr 
                                      pkg-plist 
    graphics/evas_generic_loaders-xcf Makefile distinfo pkg-descr 
                                      pkg-plist 
    x11-wm/e17-module-comp-scale Makefile distinfo pkg-descr 
                                 pkg-plist 
    x11-wm/e17-module-e-tiling Makefile distinfo pkg-descr 
                               pkg-plist 
    x11-wm/e17-module-elfe Makefile distinfo pkg-descr pkg-plist 
    x11-wm/e17-module-everything-aspell Makefile distinfo 
                                        pkg-descr pkg-plist 
    x11-wm/e17-module-everything-shotgun Makefile distinfo 
                                         pkg-descr pkg-plist 
    x11-wm/e17-module-xkbswitch Makefile distinfo pkg-descr 
                                pkg-plist 
    x11-wm/enlightenment/files patch-src-bin-e_fm-Makefile.in 
                               patch-src-modules-mixer-pa.c 
  Log:
  - Update E17 ports:
    EFL updated to 1.1.0 and E17 updated to 0.16.999.65643 (svn 65643)
  - Pass maintainership to submitter.
  - New ports:
          benchmarks/expedite
          devel/eio
          graphics/evas-loader-generic
          graphics/evas-loader-ico
          graphics/evas-loader-psd
          graphics/evas-loader-wbmp
          graphics/evas_generic_loaders-gst
          graphics/evas_generic_loaders-pdf
          graphics/evas_generic_loaders-ps
          graphics/evas_generic_loaders-raw
          graphics/evas_generic_loaders-xcf
          x11-wm/e17-module-comp-scale
          x11-wm/e17-module-e-tiling
          x11-wm/e17-module-elfe
          x11-wm/e17-module-everything-aspell
          x11-wm/e17-module-everything-shotgun
          x11-wm/e17-module-xkbswitch
  
  PR:             ports/167405
  Submitted by:   Grzegorz Blach <magik at roorback.net>
  
  Revision  Changes    Path
  1.7       +22 -150   ports/Mk/bsd.efl.mk
  1.75      +1 -0      ports/benchmarks/Makefile
  1.1       +52 -0     ports/benchmarks/expedite/Makefile (new)
  1.1       +2 -0      ports/benchmarks/expedite/distinfo (new)
  1.1       +4 -0      ports/benchmarks/expedite/pkg-descr (new)
  1.1       +59 -0     ports/benchmarks/expedite/pkg-plist (new)
  1.33      +3 -1      ports/databases/edb/Makefile
  1.5006    +1 -0      ports/devel/Makefile
  1.9       +13 -55    ports/devel/e_dbus/Makefile
  1.4       +2 -2      ports/devel/e_dbus/distinfo
  1.3       +31 -28    ports/devel/e_dbus/pkg-plist
  1.11      +3 -2      ports/devel/ecore-file/Makefile
  1.4       +2 -2      ports/devel/ecore-file/distinfo
  1.2       +1 -1      ports/devel/ecore-file/pkg-descr
  1.3       +1 -1      ports/devel/ecore-file/pkg-plist
  1.11      +3 -2      ports/devel/ecore-ipc/Makefile
  1.4       +2 -2      ports/devel/ecore-ipc/distinfo
  1.2       +1 -1      ports/devel/ecore-ipc/pkg-descr
  1.3       +1 -1      ports/devel/ecore-ipc/pkg-plist
  1.8       +29 -3     ports/devel/ecore-main/Makefile
  1.4       +2 -2      ports/devel/ecore-main/distinfo
  1.2       +1 -1      ports/devel/ecore-main/pkg-descr
  1.3       +58 -7     ports/devel/ecore-main/pkg-plist
  1.8       +2 -2      ports/devel/ecore/Makefile
  1.2       +1 -1      ports/devel/ecore/pkg-descr
  1.33      +18 -4     ports/devel/eet/Makefile
  1.24      +2 -2      ports/devel/eet/distinfo
  1.9       +9 -2      ports/devel/eet/pkg-plist
  1.6       +19 -3     ports/devel/eina/Makefile
  1.3       +2 -2      ports/devel/eina/distinfo
  1.2       +38 -1     ports/devel/eina/pkg-plist
  1.1       +26 -0     ports/devel/eio/Makefile (new)
  1.1       +2 -0      ports/devel/eio/distinfo (new)
  1.1       +11 -0     ports/devel/eio/files/patch-configure (new)
  1.1       +5 -0      ports/devel/eio/pkg-descr (new)
  1.1       +6 -0      ports/devel/eio/pkg-plist (new)
  1.1514    +9 -0      ports/graphics/Makefile
  1.13      +6 -14     ports/graphics/ecore-evas/Makefile
  1.4       +2 -2      ports/graphics/ecore-evas/distinfo
  1.2       +1 -1      ports/graphics/ecore-evas/pkg-descr
  1.3       +1 -1      ports/graphics/ecore-evas/pkg-plist
  1.10      +3 -3      ports/graphics/ecore-sdl/Makefile
  1.4       +2 -2      ports/graphics/ecore-sdl/distinfo
  1.2       +1 -1      ports/graphics/ecore-sdl/pkg-descr
  1.3       +1 -1      ports/graphics/ecore-sdl/pkg-plist
  1.42      +15 -4     ports/graphics/edje/Makefile
  1.21      +2 -2      ports/graphics/edje/distinfo
  1.9       +33 -1     ports/graphics/edje/pkg-plist
  1.16      +2 -3      ports/graphics/edje_viewer/Makefile
  1.6       +2 -2      ports/graphics/edje_viewer/distinfo
  1.7       +5 -4      ports/graphics/ethumb/Makefile
  1.3       +2 -2      ports/graphics/ethumb/distinfo
  1.2       +1 -1      ports/graphics/ethumb/pkg-descr
  1.13      +22 -6     ports/graphics/evas-core/Makefile
  1.3       +11 -5     ports/graphics/evas-core/Makefile.inc
  1.4       +2 -2      ports/graphics/evas-core/distinfo
  1.3       +5 -5      ports/graphics/evas-core/files/patch-configure
  1.2       +1 -1      ports/graphics/evas-core/pkg-descr
  1.3       +20 -4     ports/graphics/evas-core/pkg-plist
  1.11      +4 -3      ports/graphics/evas-engine-buffer/Makefile
  1.4       +2 -2      ports/graphics/evas-engine-buffer/distinfo
  1.2       +1 -1      ports/graphics/evas-engine-buffer/pkg-descr
  1.11      +5 -4      ports/graphics/evas-engine-opengl/Makefile
  1.4       +2 -2      ports/graphics/evas-engine-opengl/distinfo
  1.2       +1 -1      ports/graphics/evas-engine-opengl/pkg-descr
  1.12      +4 -4      ports/graphics/evas-engine-sdl/Makefile
  1.4       +2 -2      ports/graphics/evas-engine-sdl/distinfo
  1.2       +1 -1      ports/graphics/evas-engine-sdl/pkg-descr
  1.11      +4 -3      ports/graphics/evas-engine-x11/Makefile
  1.4       +2 -2      ports/graphics/evas-engine-x11/distinfo
  1.2       +1 -1      ports/graphics/evas-engine-x11/pkg-descr
  1.11      +6 -1      ports/graphics/evas-engine-xrender/Makefile
  1.4       +3 -2      ports/graphics/evas-loader-bmp/Makefile
  1.3       +2 -2      ports/graphics/evas-loader-bmp/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-bmp/pkg-descr
  1.9       +3 -0      ports/graphics/evas-loader-edb/Makefile
  1.11      +4 -3      ports/graphics/evas-loader-eet/Makefile
  1.4       +2 -2      ports/graphics/evas-loader-eet/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-eet/pkg-descr
  1.1       +61 -0     ports/graphics/evas-loader-generic/Makefile (new)
  1.1       +2 -0      ports/graphics/evas-loader-generic/distinfo (new)
  1.1       +6 -0      ports/graphics/evas-loader-generic/pkg-descr (new)
  1.1       +6 -0      ports/graphics/evas-loader-generic/pkg-plist (new)
  1.12      +4 -3      ports/graphics/evas-loader-gif/Makefile
  1.4       +2 -2      ports/graphics/evas-loader-gif/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-gif/pkg-descr
  1.1       +47 -0     ports/graphics/evas-loader-ico/Makefile (new)
  1.1       +2 -0      ports/graphics/evas-loader-ico/distinfo (new)
  1.1       +6 -0      ports/graphics/evas-loader-ico/pkg-descr (new)
  1.1       +6 -0      ports/graphics/evas-loader-ico/pkg-plist (new)
  1.11      +4 -3      ports/graphics/evas-loader-jpeg/Makefile
  1.4       +2 -2      ports/graphics/evas-loader-jpeg/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-jpeg/pkg-descr
  1.4       +3 -2      ports/graphics/evas-loader-pmaps/Makefile
  1.3       +2 -2      ports/graphics/evas-loader-pmaps/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-pmaps/pkg-descr
  1.15      +4 -4      ports/graphics/evas-loader-png/Makefile
  1.4       +2 -2      ports/graphics/evas-loader-png/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-png/pkg-descr
  1.1       +47 -0     ports/graphics/evas-loader-psd/Makefile (new)
  1.1       +2 -0      ports/graphics/evas-loader-psd/distinfo (new)
  1.1       +6 -0      ports/graphics/evas-loader-psd/pkg-descr (new)
  1.1       +6 -0      ports/graphics/evas-loader-psd/pkg-plist (new)
  1.15      +4 -4      ports/graphics/evas-loader-svg/Makefile
  1.4       +2 -2      ports/graphics/evas-loader-svg/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-svg/pkg-descr
  1.4       +3 -2      ports/graphics/evas-loader-tga/Makefile
  1.3       +2 -2      ports/graphics/evas-loader-tga/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-tga/pkg-descr
  1.11      +4 -3      ports/graphics/evas-loader-tiff/Makefile
  1.4       +2 -2      ports/graphics/evas-loader-tiff/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-tiff/pkg-descr
  1.1       +47 -0     ports/graphics/evas-loader-wbmp/Makefile (new)
  1.1       +2 -0      ports/graphics/evas-loader-wbmp/distinfo (new)
  1.1       +6 -0      ports/graphics/evas-loader-wbmp/pkg-descr (new)
  1.1       +6 -0      ports/graphics/evas-loader-wbmp/pkg-plist (new)
  1.11      +4 -3      ports/graphics/evas-loader-xpm/Makefile
  1.4       +2 -2      ports/graphics/evas-loader-xpm/distinfo
  1.2       +1 -1      ports/graphics/evas-loader-xpm/pkg-descr
  1.57      +3 -4      ports/graphics/evas/Makefile
  1.5       +1 -1      ports/graphics/evas/pkg-descr
  1.1       +37 -0     ports/graphics/evas_generic_loaders-gst/Makefile (new)
  1.1       +2 -0      ports/graphics/evas_generic_loaders-gst/distinfo (new)
  1.1       +9 -0      ports/graphics/evas_generic_loaders-gst/pkg-descr (new)
  1.1       +50 -0     ports/graphics/evas_generic_loaders-gst/pkg-plist (new)
  1.1       +38 -0     ports/graphics/evas_generic_loaders-pdf/Makefile (new)
  1.1       +2 -0      ports/graphics/evas_generic_loaders-pdf/distinfo (new)
  1.1       +9 -0      ports/graphics/evas_generic_loaders-pdf/pkg-descr (new)
  1.1       +3 -0      ports/graphics/evas_generic_loaders-pdf/pkg-plist (new)
  1.1       +38 -0     ports/graphics/evas_generic_loaders-ps/Makefile (new)
  1.1       +2 -0      ports/graphics/evas_generic_loaders-ps/distinfo (new)
  1.1       +9 -0      ports/graphics/evas_generic_loaders-ps/pkg-descr (new)
  1.1       +3 -0      ports/graphics/evas_generic_loaders-ps/pkg-plist (new)
  1.1       +38 -0     ports/graphics/evas_generic_loaders-raw/Makefile (new)
  1.1       +2 -0      ports/graphics/evas_generic_loaders-raw/distinfo (new)
  1.1       +9 -0      ports/graphics/evas_generic_loaders-raw/pkg-descr (new)
  1.1       +22 -0     ports/graphics/evas_generic_loaders-raw/pkg-plist (new)
  1.1       +36 -0     ports/graphics/evas_generic_loaders-xcf/Makefile (new)
  1.1       +2 -0      ports/graphics/evas_generic_loaders-xcf/distinfo (new)
  1.1       +9 -0      ports/graphics/evas_generic_loaders-xcf/pkg-descr (new)
  1.1       +4 -0      ports/graphics/evas_generic_loaders-xcf/pkg-plist (new)
  1.34      +4 -3      ports/lang/embryo/Makefile
  1.24      +2 -2      ports/lang/embryo/distinfo
  1.8       +1 -1      ports/lang/embryo/pkg-plist
  1.25      +23 -7     ports/multimedia/emotion/Makefile
  1.7       +2 -2      ports/multimedia/emotion/distinfo
  1.2       +1 -1      ports/multimedia/emotion/pkg-descr
  1.5       +7 -0      ports/multimedia/emotion/pkg-plist
  1.13      +4 -3      ports/net/ecore-con/Makefile
  1.4       +2 -2      ports/net/ecore-con/distinfo
  1.2       +1 -1      ports/net/ecore-con/pkg-descr
  1.3       +1 -1      ports/net/ecore-con/pkg-plist
  1.17      +6 -5      ports/sysutils/empower/Makefile
  1.6       +2 -2      ports/sysutils/empower/distinfo
  1.2       +12 -0     ports/sysutils/empower/pkg-plist
  1.5       +23 -9     ports/x11-toolkits/elementary/Makefile
  1.3       +2 -2      ports/x11-toolkits/elementary/distinfo
  1.3       +1 -1      ports/x11-toolkits/elementary/files/patch-configure
  1.3       +97 -1     ports/x11-toolkits/elementary/pkg-plist
  1.277     +6 -0      ports/x11-wm/Makefile
  1.6       +2 -3      ports/x11-wm/e17-module-alarm/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-alarm/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-alarm/pkg-plist
  1.22      +2 -3      ports/x11-wm/e17-module-calendar/Makefile
  1.7       +2 -2      ports/x11-wm/e17-module-calendar/distinfo
  1.6       +3 -0      ports/x11-wm/e17-module-calendar/pkg-plist
  1.1       +36 -0     ports/x11-wm/e17-module-comp-scale/Makefile (new)
  1.1       +2 -0      ports/x11-wm/e17-module-comp-scale/distinfo (new)
  1.1       +3 -0      ports/x11-wm/e17-module-comp-scale/pkg-descr (new)
  1.1       +86 -0     ports/x11-wm/e17-module-comp-scale/pkg-plist (new)
  1.22      +2 -3      ports/x11-wm/e17-module-cpu/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-cpu/distinfo
  1.8       +3 -0      ports/x11-wm/e17-module-cpu/pkg-plist
  1.22      +2 -3      ports/x11-wm/e17-module-deskshow/Makefile
  1.9       +2 -2      ports/x11-wm/e17-module-deskshow/distinfo
  1.6       +2 -3      ports/x11-wm/e17-module-diskio/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-diskio/distinfo
  1.7       +2 -3      ports/x11-wm/e17-module-drawer/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-drawer/distinfo
  1.3       +9 -0      ports/x11-wm/e17-module-drawer/pkg-plist
  1.1       +36 -0     ports/x11-wm/e17-module-e-tiling/Makefile (new)
  1.1       +2 -0      ports/x11-wm/e17-module-e-tiling/distinfo (new)
  1.1       +8 -0      ports/x11-wm/e17-module-e-tiling/pkg-descr (new)
  1.1       +17 -0     ports/x11-wm/e17-module-e-tiling/pkg-plist (new)
  1.6       +4 -1      ports/x11-wm/e17-module-efm_nav/Makefile
  1.6       +4 -1      ports/x11-wm/e17-module-efm_path/Makefile
  1.6       +4 -1      ports/x11-wm/e17-module-efm_pathbar/Makefile
  1.1       +36 -0     ports/x11-wm/e17-module-elfe/Makefile (new)
  1.1       +2 -0      ports/x11-wm/e17-module-elfe/distinfo (new)
  1.1       +3 -0      ports/x11-wm/e17-module-elfe/pkg-descr (new)
  1.1       +7 -0      ports/x11-wm/e17-module-elfe/pkg-plist (new)
  1.4       +2 -3      ports/x11-wm/e17-module-empris/Makefile
  1.2       +2 -2      ports/x11-wm/e17-module-empris/distinfo
  1.5       +2 -4      ports/x11-wm/e17-module-eooorg/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-eooorg/distinfo
  1.3       +3 -0      ports/x11-wm/e17-module-eooorg/pkg-plist
  1.1       +37 -0     ports/x11-wm/e17-module-everything-aspell/Makefile (new)
  1.1       +2 -0      ports/x11-wm/e17-module-everything-aspell/distinfo (new)
  1.1       +3 -0      ports/x11-wm/e17-module-everything-aspell/pkg-descr (new)
  1.1       +7 -0      ports/x11-wm/e17-module-everything-aspell/pkg-plist (new)
  1.6       +2 -3      ports/x11-wm/e17-module-everything-mpris/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-everything-mpris/distinfo
  1.3       +6 -0      ports/x11-wm/e17-module-everything-mpris/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-everything-pidgin/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-everything-pidgin/distinfo
  1.3       +9 -0      ports/x11-wm/e17-module-everything-pidgin/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-everything-places/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-everything-places/distinfo
  1.3       +6 -0      ports/x11-wm/e17-module-everything-places/pkg-plist
  1.1       +36 -0     ports/x11-wm/e17-module-everything-shotgun/Makefile (new)
  1.1       +2 -0      ports/x11-wm/e17-module-everything-shotgun/distinfo (new)
  1.1       +3 -0      ports/x11-wm/e17-module-everything-shotgun/pkg-descr (new)
  1.1       +7 -0      ports/x11-wm/e17-module-everything-shotgun/pkg-plist (new)
  1.6       +2 -3      ports/x11-wm/e17-module-everything-wallpaper/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-everything-wallpaper/distinfo
  1.3       +12 -0     ports/x11-wm/e17-module-everything-wallpaper/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-everything-websearch/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-everything-websearch/distinfo
  1.3       +9 -0      ports/x11-wm/e17-module-everything-websearch/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-exebuf/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-exebuf/distinfo
  1.6       +3 -4      ports/x11-wm/e17-module-execwatch/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-execwatch/distinfo
  1.22      +2 -3      ports/x11-wm/e17-module-flame/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-flame/distinfo
  1.9       +3 -0      ports/x11-wm/e17-module-flame/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-forecasts/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-forecasts/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-forecasts/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-iiirk/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-iiirk/distinfo
  1.2       +9 -7      ports/x11-wm/e17-module-iiirk/pkg-descr
  1.2       +9 -0      ports/x11-wm/e17-module-iiirk/pkg-plist
  1.6       +3 -5      ports/x11-wm/e17-module-itask-ng/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-itask-ng/distinfo
  1.3       +26 -23    ports/x11-wm/e17-module-itask-ng/pkg-plist
  1.4       +2 -4      ports/x11-wm/e17-module-itask/Makefile
  1.2       +2 -2      ports/x11-wm/e17-module-itask/distinfo
  1.20      +2 -3      ports/x11-wm/e17-module-language/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-language/distinfo
  1.7       +3 -0      ports/x11-wm/e17-module-language/pkg-plist
  1.22      +2 -3      ports/x11-wm/e17-module-mail/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-mail/distinfo
  1.7       +3 -0      ports/x11-wm/e17-module-mail/pkg-plist
  1.23      +2 -3      ports/x11-wm/e17-module-mem/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-mem/distinfo
  1.8       +3 -0      ports/x11-wm/e17-module-mem/pkg-plist
  1.23      +2 -3      ports/x11-wm/e17-module-moon/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-moon/distinfo
  1.7       +3 -0      ports/x11-wm/e17-module-moon/pkg-plist
  1.8       +2 -3      ports/x11-wm/e17-module-mpdule/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-mpdule/distinfo
  1.6       +2 -3      ports/x11-wm/e17-module-net/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-net/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-net/pkg-plist
  1.4       +2 -3      ports/x11-wm/e17-module-news/Makefile
  1.2       +2 -2      ports/x11-wm/e17-module-news/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-news/pkg-plist
  1.6       +4 -1      ports/x11-wm/e17-module-notification/Makefile
  1.6       +2 -3      ports/x11-wm/e17-module-penguins/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-penguins/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-penguins/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-photo/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-photo/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-photo/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-places/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-places/distinfo
  1.2       +9 -0      ports/x11-wm/e17-module-places/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-quickaccess/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-quickaccess/distinfo
  1.22      +2 -3      ports/x11-wm/e17-module-rain/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-rain/distinfo
  1.9       +3 -0      ports/x11-wm/e17-module-rain/pkg-plist
  1.21      +2 -3      ports/x11-wm/e17-module-screenshot/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-screenshot/distinfo
  1.9       +6 -0      ports/x11-wm/e17-module-screenshot/pkg-plist
  1.23      +2 -3      ports/x11-wm/e17-module-slideshow/Makefile
  1.9       +2 -2      ports/x11-wm/e17-module-slideshow/distinfo
  1.9       +3 -0      ports/x11-wm/e17-module-slideshow/pkg-plist
  1.22      +2 -3      ports/x11-wm/e17-module-snow/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-snow/distinfo
  1.9       +3 -0      ports/x11-wm/e17-module-snow/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-taskbar/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-taskbar/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-taskbar/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-tclock/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-tclock/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-tclock/pkg-plist
  1.6       +2 -3      ports/x11-wm/e17-module-tiling/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-tiling/distinfo
  1.3       +3 -0      ports/x11-wm/e17-module-tiling/pkg-plist
  1.24      +2 -3      ports/x11-wm/e17-module-uptime/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-uptime/distinfo
  1.8       +3 -0      ports/x11-wm/e17-module-uptime/pkg-plist
  1.23      +2 -3      ports/x11-wm/e17-module-weather/Makefile
  1.8       +2 -2      ports/x11-wm/e17-module-weather/distinfo
  1.8       +3 -0      ports/x11-wm/e17-module-weather/pkg-plist
  1.4       +2 -3      ports/x11-wm/e17-module-winlist-ng/Makefile
  1.2       +2 -2      ports/x11-wm/e17-module-winlist-ng/distinfo
  1.19      +2 -3      ports/x11-wm/e17-module-winselector/Makefile
  1.7       +2 -2      ports/x11-wm/e17-module-winselector/distinfo
  1.6       +2 -3      ports/x11-wm/e17-module-wlan/Makefile
  1.3       +2 -2      ports/x11-wm/e17-module-wlan/distinfo
  1.2       +3 -0      ports/x11-wm/e17-module-wlan/pkg-plist
  1.1       +37 -0     ports/x11-wm/e17-module-xkbswitch/Makefile (new)
  1.1       +2 -0      ports/x11-wm/e17-module-xkbswitch/distinfo (new)
  1.1       +4 -0      ports/x11-wm/e17-module-xkbswitch/pkg-descr (new)
  1.1       +89 -0     ports/x11-wm/e17-module-xkbswitch/pkg-plist (new)
  1.6       +10 -11    ports/x11-wm/e17-modules/Makefile
  1.126     +7 -13     ports/x11-wm/enlightenment/Makefile
  1.42      +2 -2      ports/x11-wm/enlightenment/distinfo
  1.1       +11 -0     ports/x11-wm/enlightenment/files/patch-src-bin-e_fm-Makefile.in (new)
  1.1       +10 -0     ports/x11-wm/enlightenment/files/patch-src-modules-mixer-pa.c (new)
  1.43      +141 -237  ports/x11-wm/enlightenment/pkg-plist
  1.9       +3 -2      ports/x11/ecore-imf/Makefile
  1.4       +2 -2      ports/x11/ecore-imf/distinfo
  1.2       +1 -1      ports/x11/ecore-imf/pkg-descr
  1.3       +1 -1      ports/x11/ecore-imf/pkg-plist
  1.12      +3 -2      ports/x11/ecore-imf_evas/Makefile
  1.4       +2 -2      ports/x11/ecore-imf_evas/distinfo
  1.2       +1 -1      ports/x11/ecore-imf_evas/pkg-descr
  1.3       +1 -1      ports/x11/ecore-imf_evas/pkg-plist
  1.5       +3 -2      ports/x11/ecore-input/Makefile
  1.3       +2 -2      ports/x11/ecore-input/distinfo
  1.2       +1 -1      ports/x11/ecore-input/pkg-descr
  1.2       +1 -1      ports/x11/ecore-input/pkg-plist
  1.5       +3 -2      ports/x11/ecore-input_evas/Makefile
  1.3       +2 -2      ports/x11/ecore-input_evas/distinfo
  1.2       +1 -1      ports/x11/ecore-input_evas/pkg-descr
  1.2       +1 -1      ports/x11/ecore-input_evas/pkg-plist
  1.9       +3 -2      ports/x11/ecore-x11/Makefile
  1.4       +2 -2      ports/x11/ecore-x11/distinfo
  1.2       +1 -1      ports/x11/ecore-x11/pkg-descr
  1.3       +1 -1      ports/x11/ecore-x11/pkg-plist
  1.7       +3 -2      ports/x11/efreet/Makefile
  1.4       +2 -2      ports/x11/efreet/distinfo
  1.3       +5 -3      ports/x11/efreet/pkg-plist
  1.11      +3 -3      ports/x11/emprint/Makefile
  1.4       +2 -2      ports/x11/emprint/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Max Brazhnikov freebsd_committer 2012-06-26 18:54:16 UTC
State Changed
From-To: feedback->repocopy

Please repocopy x11-wm/e17-module-itask-ng to x11-wm/e17-module-engage. 
I've mistakenly added empty e17-module-engage, so it should be removed 
first 


Comment 10 Max Brazhnikov freebsd_committer 2012-06-26 18:54:16 UTC
Responsible Changed
From-To: makc->portmgr

Please repocopy x11-wm/e17-module-itask-ng to x11-wm/e17-module-engage. 
I've mistakenly added empty e17-module-engage, so it should be removed 
first
Comment 11 Joe Marcus Clarke freebsd_committer 2012-06-30 21:27:37 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 12 Joe Marcus Clarke freebsd_committer 2012-06-30 21:27:37 UTC
Responsible Changed
From-To: portmgr->makc

Repocopy complete.
Comment 13 dfilter freebsd_committer 2012-07-06 22:22:15 UTC
makc        2012-07-06 21:22:02 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    x11-wm               Makefile 
    x11-wm/e17-modules   Makefile 
  Removed files:
    x11-wm/e17-module-itask-ng Makefile distinfo pkg-descr 
                               pkg-plist 
  Log:
  E17 module itask-ng has been renamed to engage.
  
  PR:             ports/167405
  Submitted by:   Grzegorz Blach <magik at roorback.net>
  
  Revision  Changes    Path
  1.2901    +2 -1      ports/MOVED
  1.278     +1 -1      ports/x11-wm/Makefile
  1.7       +0 -36     ports/x11-wm/e17-module-itask-ng/Makefile (dead)
  1.4       +0 -2      ports/x11-wm/e17-module-itask-ng/distinfo (dead)
  1.3       +0 -12     ports/x11-wm/e17-module-itask-ng/pkg-descr (dead)
  1.4       +0 -28     ports/x11-wm/e17-module-itask-ng/pkg-plist (dead)
  1.7       +2 -2      ports/x11-wm/e17-modules/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Max Brazhnikov freebsd_committer 2012-07-06 22:24:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!